# Tor Test Harness for TORch Agent

This is a Docker container for running the current development version of TORch Agent in an environment with a local Tor Proxy (without having to install and configure Tor on the development machine itself)

## Preparation

1. Build a Debian package from the current development version of TORch Agent

```bash
python -m venv venv && source venv/bin/activate
pip3 install -r requirements.txt
./build-deb.sh
```

2. Build the Docker image

```bash
docker build -f docker-tor/Dockerfile -t torch-agent .
```

3. Configure `torch-agent` by editing [`agent-conf/torch.conf`](./agent-conf/torch.conf)

    * Be sure to update the onion hostname of the broker with the one you wish to test with

4. Launch the Docker container

```bash
docker run -it --rm -v "$(pwd)/docker-tor/agent-conf:/etc/torch" torch-agent
```
